Retrieve Key

Overview

This endpoint allows you to retrieve details of a specific Bre-B key within the Passport API using the key's unique ID. The response includes key value, type, status, and associated entity details.

Endpoint Details

Definition

Description

Endpoint

https://api.paas.sandbox.co.passportfintech.com/v1/keys/:key_id

Method

GET

Headers

Content-Type: application/json, Authorization

Authentication

Access Token (Bearer Token)

Request Body

  • No request body

Example Request

curl --location --request GET 'https://api.paas.sandbox.co.passportfintech.com/v1/keys/3184cbfd-73bd-4910-bd03-f8461e724247' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \

Response Body

  • HTTP Status Code: 200 OK.

  • The response will contain the key details along with its unique identifier.

Example of Response

{ "status": "ACTIVE", "key": { "key_type": "BCODE", "key_value": "0016027228" }, "account_id": "6c23f053-0e1a-46b4-b902-97ba47e351bc", "created_at": "2025-10-09T10:42:39.710Z", "updated_at": "2025-10-09T10:42:39.710Z", "id": "3184cbfd-73bd-4910-bd03-f8461e724247" }

Common Errors and Handling

HTTP Status Code

Meaning

Description

400 Bad Request

Invalid Data

Required fields are missing or contain incorrect values.

401 Unauthorized

Expired Token

The access token is invalid or has expired.

403 Forbidden

Access Denied

The request is not authorized to retrieve a Key.

500 Internal Server Error

Server Error

An unexpected error occurred while retrieving the Key.